Get list of event notifications

Get a list of event notifications sent to you for a subscription. You can use this endpoint to address any issues with notification retries.

In the request, set createdTimeFrom and createdTimeTo to get event notifications for the specified time range. If you do not set createdTimeTo, the current date and time is used. By default, you get 20 results on one page of results. Set max in your request to get up to 100 results on one page.

Note: In this list operation, pagination is available only in one direction. The nextPage value is available in the response for you to retrieve the next page of results. However, you cannot retrieve the previous page of results.

See Webhooks in the Guides section for more information, sample requests, and notification payloads for BILL events.

Path Params
string
required
length ≥ 1

BILL-generated ID of the subscription

Query Params
string | null

BILL-generated ID of the entity, such as bill or vendor. For example, to filter notifications by a specific bill, set this value as the ID of the bill.

int32 | null
1 to 100

Maximum number of results

string | null

Event notification created start date and time. The value is in the ISO 8601 DateTime (UTC) format. For example, 2026-12-30T00:00:00Z.

string | null

Event notification created end date and time. The value is in the ISO 8601 DateTime (UTC) format. For example, 2026-12-31T00:00:00Z.

If you do not set createdTimeTo, the current date and time is used.

boolean | null

Set as true to sort event notifications in the ascending order. By default, filtered notifications are sorted in the descending order.

Note: You must set createdTimeFrom for the notifications in the response to be sorted. If you do not set createdTimeFrom, the notifications in the response are not sorted.

string | null

Next page of results.

When a list has multiple pages, the nextPage value in the response enables you to navigate to the next page of results. Set page as the nextPage value for navigation.

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key sent to you by BILL when you create a developer account. Set sessionId and devKey for organization-level BILL v3 API webhook events.

string | null

Application key sent to you by BILL when you create a partner account. Set sessionId and appKey for partner-level BILL v3 API webhook events.

string | null

Access token for Spend & Expense API authentication. Set apiToken for Spend & Expense webhook events.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json